MeshTale Docs
GET
/v1/workspaces/{idOrSlug}/audit

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

idOrSlug*string

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 100
surface?string
Value in"mcp_recall" | "web_chat" | "rest_api" | "wizard_first_query" | "ingest" | "summary_generation" | "email_inbound" | "export" | "admin"
decision?string
Value in"allowed" | "blocked" | "partial" | "empty"

Response Body

application/json

curl -X GET "https://example.com/v1/workspaces/string/audit"
{  "events": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",      "timestamp": "2019-08-24T14:15:22Z",      "request_id": "string",      "surface": "string",      "principal_type": "string",      "principal_id": "b0fe3bdd-8201-445a-aab3-a018692d6aca",      "api_key_id": "b0dd218e-3bcf-4bdb-a1e3-0689d60a8afd",      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",      "scope_used": [        "string"      ],      "query": "string",      "query_hash": "string",      "result_chunk_ids": [        "032aaf1d-ac1b-4204-978f-014b81fe3a2c"      ],      "returned_chunk_ids": [        "string"      ],      "trust_tags_returned": [        "string"      ],      "result_count": 0,      "latency_ms": 0,      "cache_hit": true,      "decision": "allowed",      "decision_reason": "string",      "superseded_source_id": "5618f019-e134-4418-9478-63c2c014971c",      "llm_provider": "string",      "llm_input_tokens": 0,      "llm_output_tokens": 0    }  ],  "cursor": "string"}
Empty
Empty
Empty